Get Organization
get
/v1/orgs/{org_id}Part of Org.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
org_idrequired | string | Org Id |
Example request
curl
curl -X GET "https://api.robosystems.ai/v1/orgs/{org_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY"Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
idrequired | string | |
namerequired | string | |
org_typerequired | OrgType | One of: |
user_rolerequired | OrgRole | One of: |
membersrequired | object[] | |
graphsrequired | object[] | |
limitsrequired | object | |
created_atrequired | string (date-time) | |
updated_atrequired | string (date-time) |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |